# =====================================================================================================================
# === Vault template variant
# =====================================================================================================================
variables:
  # variables have to be explicitly declared in the YAML to be exported to the service
  VAULT_ROLE_ID: "$VAULT_ROLE_ID"
  VAULT_SECRET_ID: "$VAULT_SECRET_ID"

.os-base:
  services:
    - name: "$CI_REGISTRY/orange-opensource/tbc/tools/tracking:master"
      command: ["--service", "openshift", "1.1.0" ]
    - name: "$CI_REGISTRY/orange-opensource/tbc/tools/vault-secrets-provider:master"
      alias: "vault-secrets-provider"
